package com.muyu.service;

import com.muyu.domain.SysCar;
import com.muyu.domain.SysCarFaultLog;
import com.muyu.domain.req.SysCarReq;

import com.muyu.domain.resp.SysCarFaultLogVo;
import com.muyu.domain.resp.SysCarVo;

import java.util.List;

public interface SysCarService {
    List<SysCarVo> selectSysCarVoList(SysCarReq sysCarReq);

    SysCarVo selectSysCarVoById(Long id);

    int addSysCar(SysCar sysCar);

    int deleteSysCarById(Long id);

    int updateSysCar(SysCar sysCar);

    List<SysCarFaultLogVo> findFenceByCarVin(String carVin);

}
